Extending Qt Creator Manual | EventCallback

Extending Qt Creator Manual 4.11.0

# EventCallback Class

Header: | #include <EventCallback>

- List of all members, including inherited members

## Public Functions

| EventCallback(int *wrapped)
virtual | ~EventCallback()
int | Breakpoint(int)
int | ChangeDebuggeeState(int)
int | ChangeEngineState(int)
int | ChangeSymbolState(int)
int | CreateProcess(int)
int | CreateThread(int)
int | Exception(int)
int | ExitProcess(int)
int | ExitThread(int)
int | GetInterestMask(int)
int | LoadModule(int)
int | QueryInterface(int)
int (int) | STDMETHOD_(int, int)
int | SessionStatus(int)
int | SystemError(int)
int | UnloadModule(int)

## Detailed Description

Event handler wrapping the original IDebugEventCallbacks to catch and store exceptions (report crashes as stop reasons).

## Member Function Documentation

### EventCallback::EventCallback(int *wrapped)

Default constructs an instance of EventCallback.

### `[virtual]` EventCallback::~EventCallback()

Destroys the instance of EventCallback. The destructor is virtual.

### int EventCallback::Breakpoint(int)

### int EventCallback::ChangeDebuggeeState(int)

### int EventCallback::ChangeEngineState(int)

### int EventCallback::ChangeSymbolState(int)

### int EventCallback::CreateProcess(int)

### int EventCallback::CreateThread(int)

### int EventCallback::Exception(int)

### int EventCallback::ExitProcess(int)

### int EventCallback::ExitThread(int)

### int EventCallback::GetInterestMask(int)

### int EventCallback::LoadModule(int)

### int EventCallback::QueryInterface(int)

### int (int) EventCallback::STDMETHOD_(int, int)

### int EventCallback::SessionStatus(int)

### int EventCallback::SystemError(int)

### int EventCallback::UnloadModule(int)